<?xml version="1.0" encoding="ISO-8859-1"?>
<!-- 
/*
 * Copyright 2001-2004 The Apache Software Foundation.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
 -->

<document>
    <properties>
        <title>Maven PDF Plugin Properties</title>
        <author email="dion@apache.org">dIon Gillard</author>
    </properties>
    <body>
        <section name="Maven PDF Plugin Settings">
            <p>This properties are used by the plugin and can be redefined by 
            the user.</p>
            <subsection name="PDF content customization">
                <table>
                    <tr>
                        <th width="25%">Property name</th>
                        <th>Description</th>
                        <th width="10%">Optional?</th>
                        <th>Default value</th>
                    </tr>
                    <tr>
                        <td width="25%">maven.pdf.confidential</td>
                        <td>Add a confidential text to the footer of each page.</td>
                        <td width="10%">Yes</td>
                        <td>
                            <code>false</code>
                        </td>
                    </tr>
                    <tr>
                        <td width="25%">maven.pdf.paperType</td>
                        <td>Paper type for the generated PDF file. Available formats are :
                    <ul>
                                <li>
                                    <code>A4</code> : 8.25in x 11.70in</li>
                                <li>
                                    <code>US</code> : 8.5in x 14in</li>
                            </ul>
                        </td>
                        <td width="10%">Yes</td>
                        <td>
                            <code>A4</code>
                        </td>
                    </tr>
                    <tr>
                        <td width="25%">maven.pdf.companyIncName</td>
                        <td>The company name printed on each page footer beside the copyrigth.</td>
                        <td width="10%">Yes</td>
                        <td>
                            <code>${pom.organization.name}</code>
                        </td>
                    </tr>
                    <tr>
                        <td width="25%">maven.pdf.copyrightYear</td>
                        <td>The year for the copyright.</td>
                        <td width="10%">Yes</td>
                        <td>
                            <code>${pom.inceptionYear}</code>
                        </td>
                    </tr>
                    <tr>
                        <td width="25%">maven.pdf.imageDpi</td>
                        <td>Images resolution.</td>
                        <td width="10%">Yes</td>
                        <td>
                            <code>75</code>
                        </td>
                    </tr>
                    <tr>
                        <td width="25%">maven.pdf.navigationFile</td>
                        <td>Filename for the navigation file used to generate the 
                    PDF. It allows to separate the content of the site 
                    and the content of the PDF documentation.</td>
                        <td width="10%">Yes</td>
                        <td>
                            <code>navigation.xml</code>
                        </td>
                    </tr>
                    <tr>
                        <td width="25%">maven.pdf.projectLogo</td>
                        <td>Project logo URL (or relative path).</td>
                        <td width="10%">Yes</td>
                        <td>
                            <code>${pom.url}${pom.logo}</code>
                        </td>
                    </tr>
                    <tr>
                        <td width="25%">maven.pdf.companyLogo</td>
                        <td>Company logo URL (or relative path).
                    </td>
                        <td width="10%">Yes</td>
                        <td>
                            <code>${pom.organization.url}${pom.organization.logo}</code>
                        </td>
                    </tr>
                    <tr>
                        <td width="25%">maven.pdf.cover.projectCompany</td>
                        <td>Company name printed on the cover.</td>
                        <td width="10%">Yes</td>
                        <td>
                            <code>${pom.organization.name}</code>
                        </td>
                    </tr>
                    <tr>
                        <td width="25%">maven.pdf.cover.projectName</td>
                        <td>Project name .</td>
                        <td width="10%">Yes</td>
                        <td>
                            <code>${pom.name}</code>
                        </td>
                    </tr>
                    <tr>
                        <td width="25%">maven.pdf.cover.type</td>
                        <td>Type of documentation. </td>
                        <td width="10%">Yes</td>
                        <td>
                            <code>Project Documentation</code>
                        </td>
                    </tr>
                    <tr>
                        <td width="25%">maven.pdf.cover.version</td>
                        <td>Project/Document version printed on the cover.</td>
                        <td width="10%">Yes</td>
                        <td>
                            <code>${pom.currentVersion}</code>
                        </td>
                    </tr>
                    <tr>
                        <td width="25%">maven.pdf.cover.date</td>
                        <td>Defaults to current day.</td>
                        <td width="10%">Yes</td>
                        <td>
                            <code>Empty.</code> The build date is used.
                        </td>
                    </tr>
                </table>
            </subsection>
            <subsection name="Project parameters">
                <table>
                    <tr>
                        <th width="25%">Property name</th>
                        <th>Description</th>
                        <th width="10%">Optional?</th>
                        <th>Default value</th>
                    </tr>
                    <tr>
                        <td width="25%">maven.docs.src</td>
                        <td>The source directory for the 
                    <code>${maven.pdf.navigationFile}</code> file and the user 
                    xml documentations files.</td>
                        <td width="10%">Yes</td>
                        <td>
                            <code>${basedir}/xdocs</code>
                        </td>
                    </tr>
                    <tr>
                        <td width="25%">maven.docs.dest</td>
                        <td>The destination directory for PDF documentation. Images 
                    are also retreived from this directory.</td>
                        <td width="10%">Yes</td>
                        <td>
                            <code>${maven.build.dir}/docs/</code>
                        </td>
                    </tr>
                    <tr>
                        <td width="25%">maven.gen.docs</td>
                        <td>The directory for generated xdocs used to create the pdf document.</td>
                        <td width="10%">Yes</td>
                        <td>
                            <code>${maven.build.dir}/generated-xdocs/</code>
                        </td>
                    </tr>
                    <tr>
                        <td width="25%">maven.pdf.pdfName</td>
                        <td>The name of the generated pdf file.</td>
                        <td width="10%">Yes</td>
                        <td>
                            <code>${pom.artifactId}.pdf</code>
                        </td>
                    </tr>
                </table>
            </subsection>
            <subsection name="Technical parameters">
                <table>
                    <tr>
                        <th width="25%">Property name</th>
                        <th>Description</th>
                        <th width="10%">Optional?</th>
                        <th>Default value</th>
                    </tr>
                    <tr>
                        <td width="25%">maven.pdf.debug</td>
                        <td>Debug the pdf generation process.</td>
                        <td width="10%">Yes</td>
                        <td>
                            <code>false</code>
                        </td>
                    </tr>
                </table>
            </subsection>
        </section>
    </body>
</document>
